Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class IdentityModuleService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService

Direct Known Subclasses:
  IdentityConfigurationService, MembershipModuleService, RoleModuleService, UserModuleService, UserProfileModuleService

    public class IdentityModuleService

extends java.lang.Object

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`protected java.lang.String` | `moduleType`

Constructor Summary
`protected` | `IdentityModuleService(java.lang.String type)`

Method Summary
`java.lang.String` | `getConnectionJNDIName()`
`protected IdentityConfiguration` | `getIdentityConfiguration()`
`IdentityContext` | `getIdentityContext()`
`protected IdentityEventBroadcaster` | `getIdentityEventBroadcaster()`
`java.util.Map` | `getInitOptions()`
`ServiceJNDIBinder` | `getJndiBinder()`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getModuleType()`
`void` | `setConnectionJNDIName(java.lang.String connectionJNDIName)`
`void` | `setIdentityContext(IdentityContext identityContext)`
`void` | `setInitOptions(java.util.Map initOptions)`
`void` | `setJndiBinder(ServiceJNDIBinder jndiBinder)`
`void` | `setJNDIName(java.lang.String JNDIName)`
`void` | `setModuleType(java.lang.String moduleType)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moduleType

    protected java.lang.String moduleType

Constructor Detail

### IdentityModuleService

    protected IdentityModuleService(java.lang.String type)

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getIdentityConfiguration

    protected IdentityConfiguration getIdentityConfiguration()

### getIdentityEventBroadcaster

    protected IdentityEventBroadcaster getIdentityEventBroadcaster()
                                                            throws IdentityException

  Throws:
    `IdentityException`

### getIdentityContext

    public IdentityContext getIdentityContext()

### setIdentityContext

    public void setIdentityContext(IdentityContext identityContext)

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String JNDIName)

### getInitOptions

    public java.util.Map getInitOptions()

### setInitOptions

    public void setInitOptions(java.util.Map initOptions)

### getModuleType

    public java.lang.String getModuleType()

### setModuleType

    public void setModuleType(java.lang.String moduleType)

### getConnectionJNDIName

    public java.lang.String getConnectionJNDIName()

### setConnectionJNDIName

    public void setConnectionJNDIName(java.lang.String connectionJNDIName)

### getJndiBinder

    public ServiceJNDIBinder getJndiBinder()

### setJndiBinder

    public void setJndiBinder(ServiceJNDIBinder jndiBinder)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD